Bug 1570937 - Endpoints suddenly having nodes consistently removed
Summary: Endpoints suddenly having nodes consistently removed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhgs-server-container
Version: cns-3.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Saravanakumar
QA Contact: Prasanth
URL:
Whiteboard:
Depends On:
Blocks: 1724792
TreeView+ depends on / blocked
 
Reported: 2018-04-23 19:09 UTC by Thom Carlin
Modified: 2019-06-28 16:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-05 06:59:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Thom Carlin 2018-04-23 19:09:17 UTC
Description of problem:

During development, the endpoints for one deploymentconfig are being removed

Version-Release number of selected component (if applicable):

3.6

How reproducible:

Once problem occurs, 100%

Steps to Reproduce:
1. Deploy coolstore-msa with CNS


Actual results:

Nexus endpoint is missing ip addresses
Broken application

Expected results:

Nexus endpoint with proper ip addresses (corresponding to gluster nodes)
Working application

Additional info:

sosreports to follow


Note You need to log in before you can comment on or make changes to this bug.